﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Net;
using System.Text;
using System.Web.Script.Serialization;

namespace GridView_WebAPI
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!this.IsPostBack)
            {
                this.PopulateGridView();
            }
        }

        protected void Search(object sender, EventArgs e)
        {
            this.PopulateGridView();
        }

        private void PopulateGridView()
        {
            string apiUrl = "http://localhost:26404/api/CustomerAPI";
            object input = new
            {
                Name = txtName.Text.Trim(),
            };
            string inputJson = (new JavaScriptSerializer()).Serialize(input);
            WebClient client = new WebClient();
            client.Headers["Content-type"] = "application/json";
            client.Encoding = Encoding.UTF8;
            string json = client.UploadString(apiUrl + "/GetCustomers", inputJson);

            gvCustomers.DataSource = (new JavaScriptSerializer()).Deserialize<List<Customer>>(json);
            gvCustomers.DataBind();
        }

        public class Customer
        {
            public string CustomerID { get; set; }
            public string ContactName { get; set; }
            public string City { get; set; }
        }
    }
}